package com.fp.armas.task;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.EntityManager;

import com.fp.persistence.commondb.PersistenceHelper;
import com.fp.persistence.parmas.soli.TarmSolicitudTramite;
import com.fp.persistence.parmas.soli.TarmSolicitudTramiteKey;
import com.fp.persistence.pgeneral.gene.TgeneParameters;
import com.fp.persistence.pgeneral.gene.TgeneParametersKey;
import com.fp.simple.action.TaskAction;

/**
 * Clase que se encarga de anular el tramite
 * c.p
 * @version 2.1
 */
public class ValidaFlujoCargaDeposito extends TaskAction {

	private EntityManager em;
    /*
     * (non-Javadoc)
     * 
     * @see com.fp.simple.action.TaskAction#assignOwner(com.fp.dto.Request)
     */
    @SuppressWarnings("unchecked")
    @Override
    public void assignOwner(Object pParam) throws Exception {
    	System.out.println("Inicia el flujo....");
        HashMap<String, Object> m = (HashMap<String, Object>) pParam;
        Map<String, Object> mrequest = (Map<String, Object>) m.get("request");
        System.out.println("Inicia el flujo.."+mrequest.get("csolicitud"));
        if (mrequest.get("csolicitud") == null && mrequest.get("numerotransaccion") == null) { //mrequest.get("numerotransaccion")
            return;
        }
        em=PersistenceHelper.getEntityManager();
        String csolicitud = (String)mrequest.get("csolicitud");
        Long ctramite = (Long)mrequest.get("numerotransaccion");
        
        TarmSolicitudTramiteKey codigoSolicitudKey = new TarmSolicitudTramiteKey(csolicitud, ctramite);
        TarmSolicitudTramite solicitudTramite=TarmSolicitudTramite.find(em, codigoSolicitudKey);

        solicitudTramite.setInicioFlujo("INICIA EL FLUJO CARGA DEPOSITO");

        em.merge(solicitudTramite);
        
        em.flush();
    }

}
